## persepolis 5.2.0

=== requirements.txt ===
PySide6_Essentials;
requests;
urllib3;
setproctitle;
psutil;
yt-dlp;

## persepolis 3.0.1

=== debian/changelog ===
persepolis (3.0.1-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 16:29:23 +0100

persepolis (3.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #887845)

 -- Moein Alinaghian <debian@nixoeen.com>  Wed, 28 Feb 2018 3:37:00 +0100

=== debian/control ===
Source: persepolis
Section: net
Priority: optional
Maintainer: Moein Alinaghian <debian@nixoeen.com>
Build-Depends: debhelper (>= 11), dh-python, python3-all, python3-setuptools, aria2, libnotify-bin, python3-pyqt5, python3-requests
Standards-Version: 4.1.3
Homepage: https://persepolisdm.github.io/
Vcs-Git: https://salsa.debian.org/nixoeen-guest/persepolis.git
Vcs-Browser: https://salsa.debian.org/nixoeen-guest/persepolis

Package: persepolis
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, aria2, libnotify-bin, python3-pyqt5, libqt5svg5, python3-requests
Recommends: pulseaudio, python3-setproctitle, python3-psutil, sound-theme-freedesktop
Description: Graphical download manager based on Aria2
 Persepolis is a graphical user interface on the Aria2 download manager.
 .
 Aria2 is a high speed download utility which is capable of making several
 connections to download files. It will boost the download in some cases,
 specially if you have a limited network connection.
 .
 Persepolis makes the usage of Aria2 easier by providing a graphical
 interface for it and in addition, it includes some extra functionalities
 like scheduled downloads.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=persepolis

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/persepolis-$1\.tar\.gz/ \
 https://github.com/persepolisdm/persepolis/releases .*/(\d\S+)\.tar\.gz

## persepolis 3.1.0

=== debian/changelog ===
persepolis (3.1.0-0.1~mx17+1) mx; urgency=medium

  * New upstream release.
  * Add youtube-dl to dependencies for the new download feature.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 06 Sep 2018 11:38:20 -0700

=== debian/control ===
Source: persepolis
Section: net
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Moein Alinaghian <debian@nixoeen.com>
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all,
               python3-setuptools,
               aria2,
               libnotify-bin,
               python3-pyqt5,
               python3-requests,
               python3-setproctitle,
               pulseaudio-utils,
               python3-psutil,
               youtube-dl,
               sound-theme-freedesktop
Standards-Version: 4.1.3
Homepage: https://persepolisdm.github.io/
Vcs-Git: https://salsa.debian.org/nixoeen-guest/persepolis.git
Vcs-Browser: https://salsa.debian.org/nixoeen-guest/persepolis

Package: persepolis
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
         aria2,
         libnotify-bin,
         python3-pyqt5,
         libqt5svg5,
         python3-requests,
         pulseaudio,
         python3-setproctitle,
         python3-psutil,
         youtube-dl,
         sound-theme-freedesktop
Description: Graphical download manager based on Aria2
 Persepolis is a graphical user interface on the Aria2 download manager.
 .
 Aria2 is a high speed download utility which is capable of making several
 connections to download files. It will boost the download in some cases,
 specially if you have a limited network connection.
 .
 Persepolis makes the usage of Aria2 easier by providing a graphical
 interface for it and in addition, it includes some extra functionalities
 like scheduled downloads.

## persepolis 4.3.0

=== debian/changelog ===
persepolis (4.3.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Jul 2024 16:19:04 -0400

persepolis (4.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Jul 2024 07:26:28 -0400

persepolis (4.2.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 18 Jun 2024 15:13:02 -0400

persepolis (4.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Dropped, merged upstream.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Jun 2024 09:26:56 -0400

persepolis (4.1.0-2) unstable; urgency=medium

  * debian/control: Restore Moein Alinaghian as package uploader.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Apr 2024 11:21:11 -0400

persepolis (4.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 19 Apr 2024 12:49:57 -0400

persepolis (4.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Update packaging dependencies.
  * debian/rules: Use meson as buildsystem for now before meson-python
    can be properly used.
  * debian/patches/:
    + 0001-pyproject.toml-Correct-build-system.requires-accordi.patch:
      Fix detection of mesonpy (meson-python).

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Apr 2024 21:36:04 -0400

persepolis (3.0.1-2) unstable; urgency=medium

  * Take over package maintenance via ITS process. (Closes: #1067495)
  * debian/: Apply "wrap-and-sort -abst".
  * debian/control: Refresh packaging:
    + Bump Standards-Version to 4.6.2.
    + Bump debhelper compat to v13.
    + Put package under Debian Python Team team maintenance.
    + Update Vcs-* git packaging repo URL.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Apr 2024 21:01:26 -0400

=== debian/control ===
Source: persepolis
Section: net
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
 Moein Alinaghian <debian@nixoeen.com>,
Build-Depends:
 aria2,
 debhelper-compat (= 13),
 dh-sequence-python3,
 libnotify-bin,
 meson,
 pybuild-plugin-pyproject,
 python3-all,
 python3-mesonpy,
 python3-psutil,
 python3-pyqt5,
 python3-requests,
 python3-setproctitle,
 python3-setuptools,
Standards-Version: 4.6.2
Homepage: https://persepolisdm.github.io/
Vcs-Git: https://salsa.debian.org/debian/persepolis.git
Vcs-Browser: https://salsa.debian.org/debian/persepolis
Description: Graphical download manager based on Aria2
 Persepolis is a graphical user interface on the Aria2 download manager.
 .
 Aria2 is a high speed download utility which is capable of making several
 connections to download files. It will boost the download in some cases,
 specially if you have a limited network connection.
 .
 Persepolis makes the usage of Aria2 easier by providing a graphical
 interface for it and in addition, it includes some extra functionalities
 like scheduled downloads.

Package: persepolis
Architecture: all
Depends:
 aria2,
 libnotify-bin,
 libqt5svg5,
 python3-pyqt5,
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ffmpeg,
 pulseaudio,
 python3-psutil,
 python3-setproctitle,
 sound-theme-freedesktop,
 yt-dlp,
Description: ${source:Synopsis}
 ${source:Extended-Description}

## persepolis 5.0.1

=== debian/changelog ===
persepolis (5.0.1-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Drop my name from the uploaders list.

 -- Boyuan Yang <byang@debian.org>  Mon, 20 Jan 2025 18:38:56 -0500

persepolis (5.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Update package description to remove any text
    about aria2. Persepolis is no longer an Aria2 frontend.
  * debian/control: Update build-dependencies and dependencies.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Oct 2024 17:27:35 -0400

=== debian/control ===
Source: persepolis
Section: net
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Moein Alinaghian <debian@nixoeen.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libnotify-bin,
 meson,
 pybuild-plugin-pyproject,
 python3-all,
 python3-mesonpy,
 python3-persepolis-lib,
 python3-psutil,
 python3-pyqt5,
 python3-requests,
 python3-setproctitle,
 python3-setuptools,
 python3-socks,
 python3-urllib3,
Standards-Version: 4.7.0
Homepage: https://persepolisdm.github.io/
Vcs-Git: https://salsa.debian.org/debian/persepolis.git
Vcs-Browser: https://salsa.debian.org/debian/persepolis
Description: Graphical download manager
 Persepolis is a graphical download manager.
 .
 Persepolis makes the file download easier by providing a graphical
 interface and in addition, it includes some extra functionalities
 like scheduled downloads.

Package: persepolis
Architecture: all
Depends:
 libnotify-bin,
 libqt5svg5,
 python3-pyqt5,
 python3-requests,
 python3-persepolis-lib,
 python3-socks,
 python3-urllib3,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ffmpeg,
 pulseaudio,
 python3-psutil,
 python3-setproctitle,
 sound-theme-freedesktop,
 yt-dlp,
Description: ${source:Synopsis}
 ${source:Extended-Description}

## persepolis 5.0.2

=== debian/changelog ===
persepolis (5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 22 Mar 2025 18:49:51 -0400

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  python3-setuptools,
  python3-socks,
  python3-urllib3,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://persepolisdm.github.io/
 Vcs-Git: https://salsa.debian.org/debian/persepolis.git
 Vcs-Browser: https://salsa.debian.org/debian/persepolis

## persepolis 5.1.0

=== debian/changelog ===
persepolis (5.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches/:
    + 0001-persepolis-meson.build-Use-755-not-555-for-installed.patch:
      Add patch to fix compatibility with new dh-python 6.20250414.
      (Closes: #1103645)

 -- Boyuan Yang <byang@debian.org>  Sun, 20 Apr 2025 15:45:18 -0400

## persepolis 5.1.1

=== debian/changelog ===
persepolis (5.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    + Fix crashing if headers are not received successfully.
    + Fix the bug of corrupted downloaded image files.
    + Add support of Thunar and Caja file browsers.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Jul 2025 23:29:14 -0400

=== debian/control ===
--- 
+++ 
@@ -36,6 +36,7 @@
 Depends:
  libnotify-bin,
  libqt5svg5,
+ python3-dasbus,
  python3-pyqt5,
  python3-requests,
  python3-persepolis-lib,

## persepolis 5.2.0

=== debian/changelog ===
persepolis (5.2.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Update package dependency and build-dependency
    based on upstream suggestion.

 -- Boyuan Yang <byang@debian.org>  Tue, 19 Aug 2025 20:08:44 -0400

persepolis (5.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Migrate to PySide6.

 -- Boyuan Yang <byang@debian.org>  Sat, 16 Aug 2025 21:59:11 -0400

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,17 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- libnotify-bin,
  meson,
  pybuild-plugin-pyproject,
  python3-all,
  python3-mesonpy,
- python3-persepolis-lib,
  python3-psutil,
- python3-pyqt5,
+ python3-pyside6.qtcore,
+ python3-pyside6.qtgui,
+ python3-pyside6.qtmultimedia,
+ python3-pyside6.qtwidgets,
+ python3-pyside6.qtsvg,
+ python3-pyside6.qtsvgwidgets,
  python3-requests,
  python3-setproctitle,
  python3-setuptools,
@@ -34,22 +37,24 @@
 Package: persepolis
 Architecture: all
 Depends:
- libnotify-bin,
- libqt5svg5,
+ libqt6svg6,
  python3-dasbus,
- python3-pyqt5,
+ python3-pyside6.qtcore,
+ python3-pyside6.qtgui,
+ python3-pyside6.qtmultimedia,
+ python3-pyside6.qtwidgets,
+ python3-pyside6.qtsvg,
+ python3-pyside6.qtsvgwidgets,
+ python3-psutil,
  python3-requests,
- python3-persepolis-lib,
  python3-socks,
+ python3-setproctitle,
  python3-urllib3,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
  ffmpeg,
- pulseaudio,
- python3-psutil,
- python3-setproctitle,
- sound-theme-freedesktop,
  yt-dlp,
+ kde-style-breeze,
 Description: ${source:Synopsis}
  ${source:Extended-Description}

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=persepolis

# pybuild (or meson-python) cannot properly handle subprojects
# Similar to https://github.com/mesonbuild/meson-python/issues/598
%:
#	dh $@ --buildsystem=pybuild
	dh $@ --buildsystem=meson

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/persepolisdm/persepolis/tags?per_page=100 \
 https://api.github.com/repos/persepolisdm/persepolis/tarball/refs/tags/@ANY_VERSION@
